1. Contractors
Useme API docs
  • Guides
    • Introduction
    • Getting Started
    • Creating Contractors
    • Creating Deals
    • Retrieving Deal Details
  • Reference
    • Categories
      • List categories
    • Contractors
      • Create a new contractor
        POST
    • Deals
      • Create a new deal
      • Retrieve deal details
      • Upload a file for a deal
  • Schemas
    • Schemas
      • ContractorRequest
      • DealDetailsResponse
      • DealRequest
      • GetDealStageData
      • MainCategory
      • WorkFileRequest
    • APIDealBilling
    • BadRequestResponse
    • ConflictResponse
    • APIDealContractorPayment
    • Contractor
    • APIDealEmployerPayment
    • ContractorData
    • APIRetrieveDealResponse
    • CountryCodeEnum
    • DealCreateSuccessResponse
    • Deal
    • DealStageData
    • ErrorResponse
    • FileUploadData
    • FileUploadResponse
    • SubCategory
    • SuccessResponse
    • ValidationErrorResponse
    • RetrieveDealNotFoundResponse
    • RetrieveDealServerErrorResponse
    • RetrieveDealSuccessResponse
    • StatusEnum
    • WorkFile
  1. Contractors

Create a new contractor

POST
https://sandbox.useme.com/api/1.0/contractor/
Registers a new contractor with the given details. If the contractor already exists, it returns a conflict error.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "email": "user@example.com",
    "name": "Name",
    "surname": "Surname",
    "country_code": "AT",
    "street": "Street",
    "house_no": "50",
    "apartment_no": "5",
    "postal_code": "5020",
    "city": "City",
    "language": "en",
    "bank_account_currency": "EUR",
    "bank_account_iban": "AT611904300234573201",
    "bank_account_bic": "SANTATWWXXX",
    "tax_id": "22-345/6781"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://sandbox.useme.com/api/1.0/contractor/' \
--header 'Authorization: Token <here-paste-your-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "user@example.com",
    "name": "Name",
    "surname": "Surname",
    "country_code": "AT",
    "street": "Street",
    "house_no": "50",
    "apartment_no": "5",
    "postal_code": "5020",
    "city": "City",
    "language": "en",
    "bank_account_currency": "EUR",
    "bank_account_iban": "AT611904300234573201",
    "bank_account_bic": "SANTATWWXXX",
    "tax_id": "22-345/6781"
}'

Responses

🟢201
application/json
Returns the newly created contractor's email.
Body

Example
{
    "success": true,
    "data": {
        "contractor_email": "user@example.com"
    }
}
🟠400
🟠409
Modified at 2026-05-05 07:55:07
Previous
List categories
Next
Create a new deal
Built with